Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.beans
Class TiePreparedSelector

    java.lang.Object
      oracle.ifs.beans.PreparedSelector
          oracle.ifs.beans.TiePreparedSelector

    public class TiePreparedSelector

extends PreparedSelector

TiePreparedSelector allows the Oracle-defined behavior of the PreparedSelector class to be extended or overridden.

See Also:
  `PreparedSelector`
(Published)

Field Summary

Fields inherited from class oracle.ifs.beans.PreparedSelector
`DEFAULT_ALIAS`

Constructor Summary
`TiePreparedSelector(LibrarySession session)` Constructs a TiePreparedSelector.

Method Summary

Methods inherited from class oracle.ifs.beans.PreparedSelector
`applySortSpecificationDefaults, getAliasFromTarget, getAliasFromTarget, getAuxiliarySearchTargets, getBindValues, getClassFromTarget, getExistsSecurityClause, getHint, getItemCount, getItems, getMaxItemCount, getPrimarySearchAlias, getPrimarySearchClass, getPrimarySearchTarget, getSearchLanguage, getSearchSelection, getSession, getSortSpecification, getSqlStatement, getStartingRowNumber, getStatementKey, getViewFromTarget, isDistinct, isRecursiveSearch, setAuxiliarySearchTargets, setBindValues, setDistinct, setHint, setMaxItemCount, setPrimarySearchClass, setPrimarySearchTarget, setRecursiveSearch, setSearchClassname, setSearchLanguage, setSearchSelection, setSortSpecification, setStartingRowNumber, setStatementKey, verifyConnected`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TiePreparedSelector

    public TiePreparedSelector(LibrarySession session)
                        throws IfsException

  Constructs a TiePreparedSelector.

  Parameters:
    `session` - the current session.
  Throws:
    `IfsException` - if the operation fails.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD